# $Id$
# Authority: shuff
# Upstream: Joey Hess <joey$kitenet,net>

%define perl_vendorlib %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`perl -V:installvendorarch`"; echo $installvendorarch)

%define perl_prefix %{buildroot}%{_prefix}

Summary: Wiki compiler using VCS backend
Name: ikiwiki
Version: 3.20120419
Release: 1%{?dist}
License: GPL
Group: Applications/Internet
URL: http://ikiwiki.info

Packager: Steve Huff <shuff@vecna.org>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://ftp.de.debian.org/debian/pool/main/i/ikiwiki/ikiwiki_%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: noarch

BuildRequires: perl
BuildRequires: perl(CGI)
#BuildRequires: perl(CGI::FormBuilder)
BuildRequires: perl(CGI::Session)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Date::Parse)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(HTML::Parser)
BuildRequires: perl(HTML::Scrubber)
BuildRequires: perl(HTML::Template)
BuildRequires: perl(JSON)
BuildRequires: perl(Mail::Sendmail)
BuildRequires: perl(RPC::XML)
BuildRequires: perl(Text::Markdown)
BuildRequires: perl(URI) >= 1.36
BuildRequires: perl(XML::Simple)
BuildRequires: perl(YAML::XS)
BuildRequires: rpm-macros-rpmforge
Requires: perl
Requires: perl(CGI)
#Requires: perl(CGI::FormBuilder)
Requires: perl(CGI::Session)
Requires: perl(Data::Dumper)
Requires: perl(Date::Parse)
Requires: perl(HTML::Parser)
Requires: perl(HTML::Scrubber)
Requires: perl(HTML::Template)
Requires: perl(JSON)
Requires: perl(Mail::Sendmail)
Requires: perl(RPC::XML)
Requires: perl(Text::Markdown)
Requires: perl(URI) >= 1.36
Requires: perl(XML::Simple)
Requires: perl(YAML::XS)

### remove autoreq Perl dependencies
%filter_from_requires /^perl.*/d
%filter_setup

%description
Ikiwiki is a wiki compiler. It converts wiki pages into HTML pages suitable for
publishing on a website.

%prep
%setup -n %{name}

# fix problem with modules generated by older versions of Dist::Zilla
#%{?el5:%{__perl} -pi -e '/.*ExtUtils::MakeMaker.*6\.31.*/ && s/6\.3\d/6.30/' Makefile.PL}

%build
%{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{perl_prefix}"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install
%find_lang %{name}
#%{__rm} -rf %{buildroot}%{perl_archlib} %{buildroot}%{perl_vendorarch}

# fix for stupid strip issue
#%{__chmod} -R u+w %{buildroot}/*

%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.lang
%defattr(-, root, root, 0755)
%doc CHANGELOG NEWS README doc/
%doc %{_mandir}/man?/*
%{perl_vendorlib}/IkiWiki.pm
%{perl_vendorlib}/IkiWiki/*
%{_bindir}/*
%{_sbindir}/*
%{_libdir}/ikiwiki/
%{_libdir}/w3m/*
%{_datadir}/ikiwiki/
#%exclude %{perl_archlib}/perllocal.pod
%exclude %{perl_vendorarch}/auto/*/.packlist

%changelog
* Mon Apr 23 2012 Steve Huff <shuff@vecna.org> - 3.20120419-1
- Initial package.
